﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="autoleht.aspx.cs" Inherits="autoleht" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT autod.id, marginimi, margi_id, aasta, kommentaar, hind 
FROM autod, automargid
WHERE autod.margi_id=automargid.id" 
            InsertCommand="INSERT INTO autod(margi_id, aasta, kommentaar, hind) 
                VALUES (@pmargi_id,@paasta,@pkommentaar,@phind)" 
                UpdateCommand="UPDATE autod 
                SET hind=@hind, kommentaar=@kommentaar, margi_id=@margi_id
WHERE id=@id">
            <UpdateParameters>
                <asp:Parameter Name="hind" />
                <asp:Parameter Name="kommentaar" />
                <asp:Parameter Name="margi_id" />
                <asp:Parameter Name="id" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="pmargi_id" />
                <asp:Parameter Name="paasta" />
                <asp:Parameter Name="pkommentaar" />
                <asp:Parameter Name="phind" />
            </InsertParameters>
        </asp:SqlDataSource>
        <asp:SqlDataSource ID="SqlDataSource2" runat="server" 
            ConnectionString="<%$ ConnectionStrings:ConnectionString %>" 
            SelectCommand="SELECT [id], [marginimi] FROM [automargid]">
        </asp:SqlDataSource>
        <br />
        <asp:GridView ID="GridView1" runat="server" 
            DataSourceID="SqlDataSource1" AutoGenerateColumns="false">
            <Columns>
              <asp:CommandField ShowEditButton="true" />
              <asp:BoundField DataField="id" visible="false"/>
              <asp:BoundField DataField="hind" />
              <asp:BoundField DataField="kommentaar" />
              <asp:TemplateField>
                <ItemTemplate>
                   <asp:Label id="silt1" runat="server" 
                     Text='<%# Bind("marginimi") %>' />
                </ItemTemplate>
                <EditItemTemplate>
                                   <asp:DropDownList ID="valik1" runat="server"
                  DataSourceID="SqlDataSource2" DataValueField="id"
                   DataTextField="marginimi"
                   SelectedValue='<%# Bind("margi_id") %>' >
                </asp:DropDownList>
                </EditItemTemplate>
              </asp:TemplateField>
            </Columns>
        </asp:GridView>
        <asp:FormView ID="FormView1" runat="server" DataSourceID="SqlDataSource1" 
            DefaultMode="Insert">
            <InsertItemTemplate>
                margi id:
                <asp:DropDownList ID="valik1" runat="server"
                  DataSourceID="SqlDataSource2" DataValueField="id"
                   DataTextField="marginimi"
                   SelectedValue='<%# Bind("pmargi_id") %>' >
                </asp:DropDownList>

                <br />
                aasta:
                <asp:TextBox ID="aastaTextBox" runat="server" Text='<%# Bind("paasta") %>' />
                <br />
                kommentaar:
                <asp:TextBox ID="kommentaarTextBox" runat="server" 
                    Text='<%# Bind("pkommentaar") %>' />
                <br />
                hind:
                <asp:TextBox ID="hindTextBox" runat="server" Text='<%# Bind("phind") %>' />
                <br />
                <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
                    CommandName="Insert" Text="Insert" />
                &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
                    CausesValidation="False" CommandName="Cancel" Text="Cancel" />
            </InsertItemTemplate>
        </asp:FormView>
        <br />
    
    </div>
    </form>
</body>
</html>
